# List of Supported Radios (Tested and Untested)

Below is a list of radios that are known to work with the original CHIRP program.

Radios marked `TESTED` are known to work with the current release of py3-CHIRP.

## Radios

# Abbree

- AR-F3 (use Baofeng UV-82III)
- AR-F8 (use Wouxun KG-UV8D)

# Alinco

- DJ-175T
- DJ-596T
- DJ-G7EG
- DR-03T
- DR-06T
- DR-135T
- DR-235T
- DR-435T

# Ansoko

- A-5R
- A-8S

# AnyTone

- AT-778UV
- AT-5888UV
- OBLTR-8R
- TERMN-8R

# Arcshell

- AR-5
- AR-6
- AR-7 (use Radtel T18)

# Baiston

- BST-2100 (use Baofeng BF-888)

# Baofeng/Pofung

- 997-S (Foscam Digital Technologies) (use UV-5R)
- B-580T (use UV-5R)
- BF-88E (use BF-888S)
- BF-666S/777S/888S
- BF-9100 (use BF/T1)
- BF-A58, BF-A58S
- BF-C2 (use BF-888S)
- BF-E500S (use UV-5R)
- BF-F8, F8+ (use UV-5R)
- BF-F8+III (use Radioddity UV-5RX3)
- BF-F8HP (3 power levels) `TESTED`
- BF-F9 (use UV-5R)
- BF-F9V2+ (use BF-F8HP) `TESTED`
- BF-F11 (use UV-5R)
- BF-R3 (use Radioddity UV-5RX3)
- BF-R5 Mini (use BF-888S)
- BF-S5 Plus (use UV-82III)
- BF-T1
- BF-UV9R+HP (use UV-82WP)
- BF-UV10R (use BF-F8HP 3 power levels) `TESTED`
- BF-UVF10 (use BF-A58S)
- BF-UVB2+ (use UV-5R)
- BF-V9 (use BF-888)
- BF-V85 (use UV-B5)
- F-11 (use UV-B5)
- FF-12P (use UV-5R)
- GT-1 (use BF-888S)
- GT-3, GT-3 MK II (use UV-5R)
- GT-3TP (use BF-F8HP) `TESTED`
- GT-3WP
- GT-5 (use UV-82)
- GT-5TP (use UV-82HP)
- Mini (use BF-T1)
- UV-3R
- UV-5R and variants (2 power levels)
- UV-5R V2+, UV-5R2 (use UV-5R)
- UV-5R+ (use BF-F8HP) `TESTED`
- UV-5R++ (use UV-5R)
- UV-5R7W (use BF-F8HP) `TESTED`
- UV-5RA, UV-5RA+, UV-5RAX, UV-5RAX+ (use UV-5R)
- UV-5RB (use UV-5R)
- UV-5RC, UV-5RC, UV-5RCX+ (use UV-5R)
- UV-5RD (use UV-5R)
- UV-5RE, UV-5RE+ (use UV-5R)
- UV-5RG, RK, RQ, RS, RT, RU (use UV-5R)
- UV-5RHP (use BF-F8HP) `TESTED`
- UV-5RIII (use Radioddity UV-5RX3)
- UV-5RM HP (use BF-F8HP) `TESTED`
- UV-5RTP (use BF-F8HP) `TESTED`
- UV-5RWP (use UV-82WP)
- UV-5RX3 (use Radioddity UV-5RX3)
- UV-5S, 5X (use UV-5R)
- UV-5XP
- UV-6
- UV-6R
- UV-8R (use UV-82HP)
- UV-9R/9R PLUS/9R ERA
- UV-9S (use Radioddity UV-5RX3)
- UV-9X+ (use UV-82HP)
- UV-59T (use Radioddity UV-5RX3)
- UV-82/82C/82L/82X `TESTED`
- UV-82HP/82DX/82HX (3 power levels)
- UV-82III (1 x PTT)
- UV-82III (2 x PTT) (use Radioddity UV-82X3)
- UV-82T (use Radioddity UV-82X3)
- UV-82WP
- UV-82X3 (use Radioddity UV-82X3)
- UV-920 (use UV-5R)
- UV-B2 (use UV-82)
- UV-B2+, B3+ (use UV-5R)
- UV-B5, B6
- UV-S9 (use BF-F8HP) `TESTED`
- UV-S9T (use Radioddity UV-5RX3)
- UV-X9 (use UV-82HP)

# Baojie

- BJ-218 (Variant of Luiton LT-725uv)
- BJ-318 (use Baojie BJ-218)
- BJ-9900
- BJ-UV55

# Boblov

- X3+

# BTech

- GMRS-50X1
- GMRS-V1
- MURS-V1
- UV-2501
- UV-2501+220
- UV-25X2
- UV-25X4
- UV-5001
- UV-50X2
- UV-50X3
- UV-5X3

# Cignus

- UV-85 (use Baofeng UV-5R)
- UV-87 (use TYT TH-UV88)

# CRT

- Micron UV (Variant of Anytone AT-778UV)

# eSYNiC

- ESY-88 (Variant of Baofeng BF-888s)

# Feidaxin

- FD-150A
- FD-160A
- FD-268A, B
- FD-288A, B
- FD-450A
- FD-460A, UH

# Greaval

- GV-8S
- GV-9S

# Hesenate

- BJ-218 (Variant of Luiton LT-725uv)
- HT-5RX3 (use Radioddity UV-5RX3)
- HT-U222 (use Retevis RT22)

# HobbyPCB

- RS-UV3

# Icom

- IC-80AD
- IC-91, IC-92AD
- IC-208H
- IC-746
- IC-910H
- IC-2100H
- IC-2200H
- IC-2300H
- IC-2720H
- IC-2730A
- IC-2820H
- IC-7000
- IC-7100
- IC-7200
- IC-E90
- IC-P7
- IC-Q7A
- IC-T70
- IC-T7H
- IC-T8A
- IC-T90
- IC-V82, IC-U82
- IC-V86
- IC-W32A, E
- ID-31A
- ID-51, ID-51+
- ID-80H
- ID-800H
- ID-880H
- ID-RPx000V/RP2x

# Intek

- HR-2040 (use Anytone AT-5888UB)
- KT-980HP (Variant of Baofeng UV-5R)

# Jetstream

- JT220M
- JT270M, MH
- JT2705M (Variant of Waccom Mini 8900)

# Juentai

- JT-6188 Mini (Variant of QYT KT8900)
- JT-6188 Plus (Variant of Waccom Mini 8900)

# Kenwood

- TH-D7, TH-D7G
- TH-D72
- TH-F6
- TH-F7
- TH-G71
- TH-K2
- TK-260/270/272/278
- TK-260G/270G/272G/278G
- TK-360/370/372/378
- TK-360G/370G/372G/378G/388G
- TK-760/762/768
- TK-760G/762G/768G
- TK-860/862/868
- TK-860G/862G/868G
- TK-7102/8102/7108/8108
- TK-2180/3180/7180/8180
- TM-271
- TM-281
- TM-471
- TM-D700
- TM-D710, TM-D710G
- TM-G707
- TM-V7
- TM-V71
- TS-480HX/SAT
- TS-590S/SG
- TS-850
- TS-2000

# KYD

- IP-620
- NC-630A

# Leadzm

- LE-C2 (Variant of Baofeng BF-C2)

# Leixen

- VV-898, VV-898S, VV-898E

# Luiton

- LT-316 (Variant of Retevis RT22)
- LT-580 VHF, UHF
- LT-588UV (Variant of QYT KT8900)
- LT-725UV
- LT-898UV (Variant of Leixen VV-898)

# Midland

- DBR2500 (Variant of Anytone AT-778UV)

# MTC

- UV-5R-3

# NKTech

- UV-7RX (use Retevis RT6)

# Plant-Tours

- MT-700

# Pofung

- (see Baofeng)

# Polmar

- DB-50M (use Anytone AT-5888UV)

# Powerwerx

- DB-750X (use Anytone AT-5888UV)

# Puxing

- PX-2R (UHF)
- PX-777
- PX-888K

# QYT

- KT980+ (same as KT-8900D)
- KT7900D
- KT8900 (same as KT-8900)
- KT8900R
- KT8900D
- KT-8R
- KT-UV980 (Variant of Waccom Mini 8900)

# R&L Electronics

- UV-5R 3 band (use Radioddity UV-5RX3)

# Radioddity

- DB25 (Variant of QYT KT8900D)
- GA-2S
- GA-5S
- GA-510
- QB25
- R2
- UV-5R EX
- UV-5RX3
- UV-82X3

# Radtel

- RT-10 (use Retevis RT22)
- T18

# Retevis

- H-777 (use Baofeng BF-888)
- RT1
- RT5 with 2 power levels (use Baofeng UV-5R)
- RT5 with 3 power levels (variant of Baofeng BF-F8HP) `TESTED`
- RT-5R, RT-5RV (Variants of Baofeng UV-5R)
- RT6
- RT21
- RT22
- RT23
- RT24
- RT26
- RT95 (Variant of Anytone AT-778UV)
- RT-B6 (use Baofeng UV-B5)

# Rugged Radios

- RH5R, RH5R-V2 (use Baofeng UV-5R)
- RH5X (Variant of Baofeng BF-A58)

# Sainsonic

- GT-3TP (use Baofeng BF-F8HP) `TESTED`
- GT-890 (Variant of QYT KT8900)

# Standard Horizon

- (see Yaesu)

# Surecom

- KT8900D (Variant of QYT KT7900D)

# Tacklife

- MTR01 (use Radioddity R2)

# TDXone

- TD-Q8A

# TechSide

- TI-F8+ (Variant of the Baofeng BF-F8HP) `TESTED`

# Tenway

- TW-325
- UV-5R Pro (Variant of the Baofeng BF-F8HP) `TESTED`
- UV-82 Pro

# TIDRADIO

- BF-F8TD (use TD-UV5R TriPower)
- TD-UV5R TriPower
- TD-H6

# TID

- TD-M8

# Tonfa

- UV-985 (use Baofeng UV-5R)

# TYT

- TH-350
- TH-7800
- TH-9000 (each 144, 220, 440)
- TH-9800
- TH-UV3R, TH-UV3R-25
- TH-UV8000D/E
- TH-UV88
- TH-UVF1
- TH-UVF8D

# Vero

- UV-E5, UV-E5 MK II (use Baofeng UV-5R)

# Vertex Standard

- (see Yaesu)

# Waccom

- MINI-8900

# WLN

- KD-C1 (Variant of Retevis RT22)

# Wouxun

- KG-816/818
- KG-UVD1P/UV2D/UV3D
- KG-UV6D/UV6X
- KG-UV7D (use KG-UV6)
- KG-UV8D
- KG-UV8D Plus
- KG-UV8E
- KG-UV8T
- KG-UV9D Plus
- KG-UVD1P

# Yaesu

- FT-1D
- FT-2D
- FT-3D
- FT-4VR
- FT-4XE, R
- FT-25R
- FT-50R
- FT-60R
- FT-65E, R
- FT-70D
- FT-90R
- FT-450D
- FT-817/ND
- FT-818/ND
- FT-857/D
- FT-897
- FT-1500M
- FT-1802M
- FT-2800M
- FT-1900R/2900M
- FT-7100M
- FT-7800/7900
- FT-8100
- FT-8800
- FT-8900
- FTM-350
- FTM-3100 (use FTM-3200D selection)
- FTM-3200D
- VX-2R
- VX-3R
- VX-5R
- VX-6, 6R
- VX-7R
- VX-8, 8R, 8D, 8G
- VX-170
- VXA-700

# Zastone

- BJ-218 (Variant of Luiton LT-725uv)
- MP-300 (Variant of QYT KT8900)
- MP-380 (use QYT KT8900D)
- MP-800 (use TYT TH-9800)
- ZT-V8, V8A, V8A+ (use Baofeng UV-R5)
- ZT-X6 (Variant of Retevis RT22)
